import de.metus.scripting.*
import de.metus.model.*
import org.eclipse.swt.widgets.FileDialog;
import org.eclipse.swt.SWT

//Überschrift
def output = "Path;Attribute Name;Formula\n"
//Abfrage des Dateipfades
FileDialog dialog = new FileDialog(metus.ui().getShell(), SWT.SAVE)
dialog.setFilterExtensions("*.csv")
def filePath = dialog.open()
//Falls Dateipfad eingegeben wurde
if(filePath){
def f = new File(filePath)
//Löschen der alten Datei falls schon eine existiert
if(f.exists()){f.delete()}
//Auslesen aller Formel-Attribute
metus.rootFolder().tablesSub().each(){
		it.attributes().each(){
			if(it.getType() == Table.AttributeType.Formula){
				//Auslesen der Formeln wobei double quotes durch single quotes ersetzt werden (wg. multi-line Formeln)
				output += it.getParentTable().path + "/" + it.getParentTable().name + ";" + it.getName() + ";\"" + it.getParentTable().getFormula(it.getName()).replace("\"", "\'")/*.replaceAll("\\r\\n|\\r|\\n", ";")*/ + "\";\n"
		}
	}
}
f.append(output)
console.println("Your file was saved to : " + filePath )
}