import de.metus.scripting.*;

boolean result = metus.ui().openConfirm(null, "Sort Tables alphabetically", "All Tables,Folders and Folder Contents in the Tables View will be sorted in alphabetical order. This will mirror the Metus V6 Table/Folder Sort Order. \nDo you want to continue ?");
if (result){
	def rootFolder= metus.rootFolder();
	sortFolder(rootFolder);
}

void sortFolder(Folder root){
	// recurse
	for (Folder f:root.folders()){
		sortFolder(f);
	}
	
	// and sort children
	root.sort({s1,s2 -> s1<=>s2} as Comparator);
}